clang 8.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::DeclGroupRef Class Reference

`#include "clang/AST/DeclGroup.h"`

## Public Types
using | iterator = Decl **
using | const_iterator = Decl *const *

## Public Member Functions
| DeclGroupRef ()=default
| DeclGroupRef (Decl *d)
| DeclGroupRef (DeclGroup *dg)
bool | isNull () const
bool | isSingleDecl () const
bool | isDeclGroup () const
Decl * | getSingleDecl ()
const Decl * | getSingleDecl () const
DeclGroup & | getDeclGroup ()
const DeclGroup & | getDeclGroup () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
void * | getAsOpaquePtr () const

## Static Public Member Functions
static DeclGroupRef | Create (ASTContext &C, Decl **Decls, unsigned NumDecls)
static DeclGroupRef | getFromOpaquePtr (void *Ptr)

## Detailed Description

Definition at line 52 of file DeclGroup.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::DeclGroupRef::const_iterator = Decl * const *

Definition at line 78 of file DeclGroup.h.

## ◆ iterator

using clang::DeclGroupRef::iterator = Decl **

Definition at line 77 of file DeclGroup.h.

## Constructor & Destructor Documentation

## ◆ DeclGroupRef() [1/3]

clang::DeclGroupRef::DeclGroupRef | ( |  | ) |
| default

## ◆ DeclGroupRef() [2/3]

clang::DeclGroupRef::DeclGroupRef | ( | Decl * | d | ) |
| inline explicit

Definition at line 65 of file DeclGroup.h.

## ◆ DeclGroupRef() [3/3]

clang::DeclGroupRef::DeclGroupRef | ( | DeclGroup * | dg | ) |
| inline explicit

Definition at line 66 of file DeclGroup.h.

## Member Function Documentation

## ◆ begin() [1/2]

iterator clang::DeclGroupRef::begin | ( |  | ) |
| inline

Definition at line 100 of file DeclGroup.h.

Referenced by clang::DeclStmt::children(), clang::Sema::CodeCompleteObjCForCollection(), clang::DeclStmt::decl_begin(), clang::ento::ModelConsumer::HandleTopLevelDecl(), clang::BackendConsumer::HandleTopLevelDecl(), clang::ASTNodeImporter::import(), clang::index::IndexingContext::indexDeclGroupRef(), RewriteOneForwardClassDecl(), and takeDeclAttributes().

## ◆ begin() [2/2]

const_iterator clang::DeclGroupRef::begin | ( |  | ) | const
| inline

Definition at line 113 of file DeclGroup.h.

## ◆ Create()

static DeclGroupRef clang::DeclGroupRef::Create | ( | ASTContext & | C,
|  | Decl ** | Decls,
|  | unsigned | NumDecls
| ) |  |
| inline static

Definition at line 69 of file DeclGroup.h.

References clang::DeclGroup::Create().

Referenced by clang::Sema::ConvertDeclToDeclGroup(), and clang::ASTNodeImporter::import().

## ◆ end() [1/2]

iterator clang::DeclGroupRef::end | ( |  | ) |
| inline

Definition at line 106 of file DeclGroup.h.

References clang::DeclGroup::size().

Referenced by clang::DeclStmt::children(), clang::Sema::CodeCompleteObjCForCollection(), clang::DeclStmt::decl_end(), clang::ento::ModelConsumer::HandleTopLevelDecl(), clang::ASTNodeImporter::import(), clang::index::IndexingContext::indexDeclGroupRef(), RewriteOneForwardClassDecl(), and takeDeclAttributes().

## ◆ end() [2/2]

const_iterator clang::DeclGroupRef::end | ( |  | ) | const
| inline

Definition at line 119 of file DeclGroup.h.

References clang::DeclGroup::size().

## ◆ getAsOpaquePtr()

void* clang::DeclGroupRef::getAsOpaquePtr | ( |  | ) | const
| inline

Definition at line 126 of file DeclGroup.h.

Referenced by llvm::PointerLikeTypeTraits< clang::DeclGroupRef >::getAsVoidPointer().

## ◆ getDeclGroup() [1/2]

DeclGroup& clang::DeclGroupRef::getDeclGroup | ( |  | ) |
| inline

Definition at line 92 of file DeclGroup.h.

## ◆ getDeclGroup() [2/2]

const DeclGroup& clang::DeclGroupRef::getDeclGroup | ( |  | ) | const
| inline

Definition at line 96 of file DeclGroup.h.

## ◆ getFromOpaquePtr()

static DeclGroupRef clang::DeclGroupRef::getFromOpaquePtr | ( | void * | Ptr | ) |
| inline static

Definition at line 127 of file DeclGroup.h.

References X.

Referenced by llvm::PointerLikeTypeTraits< clang::DeclGroupRef >::getFromVoidPointer().

## ◆ getSingleDecl() [1/2]

Decl* clang::DeclGroupRef::getSingleDecl | ( |  | ) |
| inline

Definition at line 84 of file DeclGroup.h.

Referenced by clang::Sema::ActOnForEachDeclStmt(), and clang::DeclStmt::getSingleDecl().

## ◆ getSingleDecl() [2/2]

const Decl* clang::DeclGroupRef::getSingleDecl | ( |  | ) | const
| inline

Definition at line 88 of file DeclGroup.h.

## ◆ isDeclGroup()

bool clang::DeclGroupRef::isDeclGroup | ( |  | ) | const
| inline

Definition at line 82 of file DeclGroup.h.

References getKind().

## ◆ isNull()

bool clang::DeclGroupRef::isNull | ( |  | ) | const
| inline

Definition at line 80 of file DeclGroup.h.

Referenced by clang::Sema::ActOnDeclStmt(), clang::Sema::ActOnForEachDeclStmt(), and clang::ASTNodeImporter::import().

## ◆ isSingleDecl()

bool clang::DeclGroupRef::isSingleDecl | ( |  | ) | const
| inline

Definition at line 81 of file DeclGroup.h.

References getKind().

Referenced by clang::Sema::ActOnForEachDeclStmt(), and clang::DeclStmt::isSingleDecl().

The documentation for this class was generated from the following file:

- include/clang/AST/DeclGroup.h